=== debian/changelog ===
mldemos (0.4.3-1build1) raring; urgency=low

  * Rebuild for opencv 2.4

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Tue, 04 Dec 2012 21:49:10 +0100

mldemos (0.4.3-1) unstable; urgency=low

  * Initial Release.

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 05 Jun 2012 13:50:58 +0100
