=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper (>= 9),
-	       libcv-dev (>= 2.2),
-	       libqt4-dev
-Standards-Version: 3.9.3
+	       libopencv-dev,
+	       libboost-dev,
+	       libqt4-dev, libqt4-opengl-dev
+Standards-Version: 3.9.4
 Homepage: http://mldemos.epfl.ch
 Vcs-Git: git://git.debian.org/git/collab-maint/mldemos.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/mldemos.git;a=summary
