=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --buildsystem=qmake
