## mldemos 0.5.1%2Bgit.1.ee5d11f

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: science
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
 	       libopencv-dev,
 	       libboost-dev,
-	       libqt4-dev, libqt4-opengl-dev
-Standards-Version: 3.9.4
+	       qtbase5-dev, qttools5-dev,
+	       libqt5opengl5-desktop-dev,
+	       libqt5svg5-dev
+Standards-Version: 4.1.4
 Homepage: http://mldemos.epfl.ch
-Vcs-Git: git://git.debian.org/git/collab-maint/mldemos.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/mldemos.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/mldemos.git
+Vcs-Browser: https://salsa.debian.org/debian/mldemos
 
 Package: mldemos
 Architecture: any
