=== debian/changelog ===
mldemos (0.5.1+git.1.ee5d11f-1) unstable; urgency=medium

  * merge updates from
    - github.com/machined-learning/MLDemos
    - github.com/billyonthemountain/mldemos
  * switch to qt5 per said updates
  * forward port plugin directory patch per said updates
  * quilt patch for floating point literal constants (closes: #812032)
  * remove gitorious debian/watch file
  * masticate tree bark and git goo into new upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 28 Dec 2016 17:05:40 +0000
