=== debian/control ===
--- 
+++ 
@@ -2,16 +2,14 @@
 Section: science
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 10),
 	       libopencv-dev,
 	       libboost-dev,
-	       qtbase5-dev, qttools5-dev,
-	       libqt5opengl5-desktop-dev,
-	       libqt5svg5-dev
-Standards-Version: 4.1.4
+	       qtbase5-dev, qttools5-dev, libqt5opengl5-dev, libqt5svg5-dev
+Standards-Version: 3.9.8
 Homepage: http://mldemos.epfl.ch
-Vcs-Git: https://salsa.debian.org/debian/mldemos.git
-Vcs-Browser: https://salsa.debian.org/debian/mldemos
+Vcs-Git: https://anonscm.debian.org/collab-maint/mldemos.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/mldemos.git
 
 Package: mldemos
 Architecture: any
